Subject: Re: [bug#38769] [PATCH] import: Add importer for MELPA packages.

From: Carlo Zancanaro <[email-masked]>
Date: Fri, 18 Dec 2020 22:16:13 +1100

Hi Chris!

On Fri, Dec 18 2020, Christopher Baines wrote:
> Looking at the code, elpa-package->sexp is a little awkward, the 
> code would probably be clearer if the (or ...) bits in the 
> package sexp were moved out in to functions that deal with 
> generating that part of the package.

I agree with you. The "quasiquote, unquote, quasiquote, unquote" 
is a bit awkward, but I don't think it's unreasonable. I'm not 
that interested in revising the patch right now, but feel free to 
extract that logic before merging if you think it's necessary.

> It seems to work though, so I'm happy to push this. Is this 
> patch still relevant?

Yep, as far as I know this is still relevant.

Carlo